Commit ada178bd authored by Martin Milata's avatar Martin Milata Committed by Agustin Martin Domingo

Fix compilation with new flex (#700958).

Due to a type change [1], linuxdoc-tools won't compile with flex-2.5.36
and newer (Debian currently ships 2.5.35).

This patch works around this problem.

[1] http://flex.git.sourceforge.net/git/gitweb.cgi?p=flex/flex;a=commitdiff;h=9ba3187a537d6a58d345f2874d06087fd4050399
parent 33a6246d
......@@ -72,7 +72,14 @@ int current;
int skipnewline = 0;
extern char *yytext;
#if YY_FLEX_MAJOR_VERSION > 2 \
|| (YY_FLEX_MAJOR_VERSION == 2 && YY_FLEX_MINOR_VERSION > 5) \
|| (YY_FLEX_MAJOR_VERSION == 2 && YY_FLEX_MINOR_VERSION == 5 && YY_FLEX_SUBMINOR_VERSION > 35)
extern yy_size_t yyleng;
#else
extern int yyleng;
#endif
#define CHAPTER 1
#define SECTION 2
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment